Name: go
Version: 1.5.3
Release: 1%{?dist}
Summary: The Go Programming Language
License: BSD
URL: http://golang.org
Source0: https://storage.googleapis.com/golang/go-%{version}.linux-amd64.tar.gz
AutoReqProv:    no

%define __spec_install_post %{nil}

%description
Go is an open source programming language that makes it easy to build simple, reliable, and efficient software.

%prep
%setup -q -n go

%install
%{__rm} -rf %{buildroot}
install -d %{buildroot}/usr/local/go
cp -a ./ %{buildroot}/usr/local/go
mkdir -p %{buildroot}%{_bindir}
ln -sf /usr/local/go/bin/go %{buildroot}%{_bindir}/go
ln -sf /usr/local/go/bin/gofmt %{buildroot}%{_bindir}/gofmt
ln -sf /usr/local/go/bin/godoc %{buildroot}%{_bindir}/godoc

%clean
%{__rm} -rf %{buildroot}
%{__rm} -rf %{_builddir}/go

%files
%defattr(-,root,root,-)
%{_bindir}/go
%{_bindir}/godoc
%{_bindir}/gofmt
/usr/local/go

%changelog
